SGSC(1)

NAME
sgsc - set the options of the gsc scanner device

SYNOPSIS

sgsc
    [-sq] [-b len] [-f file] [-h height] [-r resolution] [-t timeout] [-w width]

DESCRIPTION
The sgsc utility provides shell level access to the ioctl requests served by the handy scanner device driver gsc. Please see gsc(4) for the exact meaning of the requests. Generally they modify the output and behaviour of the gsc scanner device. When sgsc is called with no option only the current settings are reported.

OPTIONS

-s [GSC_SRESSW]
    Set the scanner with the values of the resolution selector switch.

-q  Operate in quiet mode, i.e. do not report any of the current setings. Normally the parameters are shown after the modifications have been performed.

-f file
    Operate on a different scanner device node given by filename. Note that even though there may exist more than one node of scanner device several of them will refer the same device unit. The modifications are performed od the unit regardless of the device node by which it is accessed.

-r resolution [GSC_SRES]
    Set the resolution in dpi.

-w width [GSC_SWIDHT]
    Set the width of the bitmap in pixels.

-h height [GSC_SHEIGHT]
    Set the height of the bitmap in lines of pixels.

-b len [GSC_SBLEN]
    Set the internal dma buffer to be len lines in size.

-t timeout [GSC_SBTIME]
    Set the timeout time for reading one dma buffer.

FILES

/dev/gsc0
    device node for raw output.

/dev/gsc0p
    device node for output in pbm file format.

SEE ALSO
gsc(4)

AUTHOR
Gunther Schadow <gusw@fub46.zedat.fu-berlin.de>